[Pkg-fglrx-devel] Bug#625868: auth event shows secret xauth cookie on command line

Michael Gilbert michael.s.gilbert at gmail.com
Sun Jul 17 22:57:48 UTC 2011


actually, i just realized that isn't sufficient.  can you try this:

--- fglrx-driver-11-6.orig/common/etc/ati/authatieventsd.sh
+++ fglrx-driver-11-6/common/etc/ati/authatieventsd.sh
@@ -95,17 +95,16 @@ which xauth > /dev/null || exit -1
 case "$1" in
     grant)
         GetServerAuthFile $2 || exit -1
-        DISP_AUTH_KEY=`xauth -f $SERVER_AUTH_FILE list | grep $DISP_SEARCH_STRING | awk '{ print $3 }'`
 	if [ `pinky -fs | awk '{ if ($3 == "'$2'" || $(NF) == "'$2'" ) { print $1; exit; } }'` ]; then
 		user=`pinky -fs | awk '{ if ($3 == "'$2'" || $(NF) == "'$2'" ) { print $1; exit; } }'`
 		if [ -n "$DISP_AUTH_KEY" ]; then
-		    su $user -c "xauth -f $3 merge - < \"$2 . $DISP_AUTH_KEY\"" || exit -1
+		    su $user -c "echo "$2 . `xauth -f $SERVER_AUTH_FILE list | grep $DISP_SEARCH_STRING | awk '{ print $3 }'`" | xauth -f $3 merge -" || exit -1
 	        else
         	    exit -1
 		fi
 	else
 		if [ -n "$DISP_AUTH_KEY" ]; then
-		    xauth -f $3 merge - < \"$2 . $DISP_AUTH_KEY\" || exit -1
+		    echo "$2 . `xauth -f $SERVER_AUTH_FILE list | grep $DISP_SEARCH_STRING | awk '{ print $3 }'`" | xauth -f $3 merge - || exit -1
 	        else
         	    exit -1
 		fi





More information about the Pkg-fglrx-devel mailing list